Bug 1565997 - lua-expat: Partial Fedora build flags injection
Summary: lua-expat: Partial Fedora build flags injection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lua-expat
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-04-11 09:59 UTC by Florian Weimer
Modified: 2018-04-29 12:18 UTC (History)
2 users (show)

Fixed In Version: lua-expat-1.3.0-12.fc28 lua-expat-1.3.0-12.fc27 lua-expat-1.3.0-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-15 02:40:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2018-04-11 09:59:44 UTC
/usr/lib64/lua/5.3/lxp.so in lua-expat-1.3.0-11.fc28.x86_64 has not been linked with RELRO because the standard Fedora linker flags (LDFLAGS) from redhat-rpm-config are not passed down in the RPM spec file:

%build
make %{?_smp_mflags} LUA_V=%{luaver} LUA_CDIR=%{lualibdir} LUA_LDIR=%{luapkgdir} LUA_INC=-I%{_includedir} EXPAT_INC=-I%{_includedir} CFLAGS="%{optflags} -fPIC -std=c99"

See https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md for information on RPM macros and environment variables provided by the build environment.

Comment 1 Fedora Update System 2018-04-11 21:37:07 UTC
lua-expat-1.3.0-12.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1e92fcf30

Comment 2 Fedora Update System 2018-04-11 21:37:46 UTC
lua-expat-1.3.0-12.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-504d167d55

Comment 3 Fedora Update System 2018-04-11 21:38:05 UTC
lua-expat-1.3.0-12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a329baa608

Comment 4 Fedora Update System 2018-04-12 20:22:13 UTC
lua-expat-1.3.0-12.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-504d167d55

Comment 5 Fedora Update System 2018-04-12 20:56:47 UTC
lua-expat-1.3.0-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a329baa608

Comment 6 Fedora Update System 2018-04-13 16:30:21 UTC
lua-expat-1.3.0-12.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1e92fcf30

Comment 7 Fedora Update System 2018-04-15 02:40:33 UTC
lua-expat-1.3.0-12.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-04-15 14:45:46 UTC
lua-expat-1.3.0-12.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-04-29 12:18:42 UTC
lua-expat-1.3.0-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.